Tools

Manage conversations between users and agents. These endpoints allow you to create, retrieve, update, and delete conversations, and retrieve their associated messages.

List Tool Vendors

get

Returns a paginated list of available tool vendors for the current tenant and unit.

  • Note: This endpoint only returns metadata about the tool vendors (e.g., ID, name, mode, favorite status).

  • To retrieve detailed tool configurations or schema information, use the corresponding GET /tools/{mode}_tools/{id} or related detail endpoints.

查询参数
page_numinteger可选

Current page number

Default: 1
page_sizeinteger可选

Number of items per page

Default: 14
is_favoriteany of可选

Filter by favorite status

boolean可选
null可选
modeany of可选

Filter by mode, value is flow, builtin

string · enum可选可能的值:
null可选
orderany of可选

order by: 'recent'(default) or 'oldest'

Default: recent
string可选
null可选
tenant_idany of可选

Tenant Id

Example: 40d39c4b-9585-4123-8fd4-f1cc23a1184c
string可选
null可选
tenant_unit_idany of可选

Tenant Unit ID

Example: da114de3-d7e6-4161-bc55-0ce85dbee589
string可选
null可选
响应
chevron-right
200

Successful Response

application/json
page_numinteger必填

Current page number

page_sizeinteger必填

Number of items per page

total_countinteger必填

Total number of tools

has_next_pageboolean必填

Whether there is a next page

dataobject[]必填

List of tools

get
/admin/api/v2/tools

Get Tool Vendor By Id

get

Retrieve common information and metadata for a single tool by its ID.

路径参数
tool_idstring · uuid必填

Tool ID to fetch

查询参数
tenant_idany of可选

Tenant Id

Example: 40d39c4b-9585-4123-8fd4-f1cc23a1184c
string可选
null可选
tenant_unit_idany of可选

Tenant Unit ID

Example: da114de3-d7e6-4161-bc55-0ce85dbee589
string可选
null可选
响应
chevron-right
200

Successful Response

application/json
icon_typeany of可选

Source type: 'emoji' or 'url'

string · enum可选可能的值:
null可选
iconany of可选

Raw icon value: emoji char, full URL, or gallery key

string可选
null可选
icon_backgroundany of可选

Hex background color behind the icon

Default: #FFF
string可选
null可选
descriptionany of可选

Tool description

Default: ""
string可选
null可选
idany of可选

Tool vendor ID

string可选
null可选
namestring必填

Tool vendor name

display_nameany of可选

Tool vendor display name

string可选
null可选
modestring · enum必填

Tool type, e.g., builtin, flow

可能的值:
created_byany of可选

User ID of creator

string可选
null可选
created_by_nameany of可选

User name of creator

string可选
null可选
created_timeany of可选

Timestamp of creation

string · date-time可选
null可选
updated_byany of可选

User ID of last updater

string可选
null可选
updated_by_nameany of可选

User name of updater

string可选
null可选
updated_timeany of可选

Timestamp of last update

string · date-time可选
null可选
is_favoriteany of可选

Indicates if the item is marked as favorite

boolean可选
null可选
icon_urlany of只读必填
string可选
null可选
get
/admin/api/v2/tools/{tool_id}

Update Tool Vendor

put

Update the common information and metadata for a tool by its ID.

路径参数
tool_idstring必填

Tool id

查询参数
tenant_idany of可选

Tenant Id

Example: 40d39c4b-9585-4123-8fd4-f1cc23a1184c
string可选
null可选
tenant_unit_idany of可选

Tenant Unit ID

Example: da114de3-d7e6-4161-bc55-0ce85dbee589
string可选
null可选
请求体

Payload containing fields to update for the tool

icon_typeany of可选

Source type: 'emoji' or 'url'

string · enum可选可能的值:
null可选
iconany of可选

Raw icon value: emoji char, full URL, or gallery key

string可选
null可选
icon_backgroundany of可选

Hex background color behind the icon

Default: #FFF
string可选
null可选
descriptionany of可选

Tool description

Default: ""
string可选
null可选
nameany of可选

Tool name

string可选
null可选
display_nameany of可选

Tool name

string可选
null可选
响应
chevron-right
200

Successful Response

application/json
icon_typeany of可选

Source type: 'emoji' or 'url'

string · enum可选可能的值:
null可选
iconany of可选

Raw icon value: emoji char, full URL, or gallery key

string可选
null可选
icon_backgroundany of可选

Hex background color behind the icon

Default: #FFF
string可选
null可选
descriptionany of可选

Tool description

Default: ""
string可选
null可选
idany of可选

Tool vendor ID

string可选
null可选
namestring必填

Tool vendor name

display_nameany of可选

Tool vendor display name

string可选
null可选
modestring · enum必填

Tool type, e.g., builtin, flow

可能的值:
created_byany of可选

User ID of creator

string可选
null可选
created_by_nameany of可选

User name of creator

string可选
null可选
created_timeany of可选

Timestamp of creation

string · date-time可选
null可选
updated_byany of可选

User ID of last updater

string可选
null可选
updated_by_nameany of可选

User name of updater

string可选
null可选
updated_timeany of可选

Timestamp of last update

string · date-time可选
null可选
is_favoriteany of可选

Indicates if the item is marked as favorite

boolean可选
null可选
icon_urlany of只读必填
string可选
null可选
put
/admin/api/v2/tools/{tool_id}

Delete Tool Vendor

delete

Delete a tool (common metadata) by its ID. No content is returned on success.

路径参数
tool_idstring必填

Tool id

查询参数
tenant_idany of可选

Tenant Id

Example: 40d39c4b-9585-4123-8fd4-f1cc23a1184c
string可选
null可选
tenant_unit_idany of可选

Tenant Unit ID

Example: da114de3-d7e6-4161-bc55-0ce85dbee589
string可选
null可选
响应
delete
/admin/api/v2/tools/{tool_id}

最后更新于

这有帮助吗?